using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class Order_DetailsAccess  : Daolite.BusinessAccess
	{

		public  Order_DetailsAccess() : base("Order_Details", NwindConfiger.GetConfiger())
		{
		}


		public Order_Details[] Query()
		{
			return base.Query<Order_Details>();
		}


		public Order_Details[] QueryRelated()
		{
			return base.QueryRelated<Order_Details>();
		}


		public Order_Details QueryOne(long OrderID, long ProductID, bool isRelated)
		{
			return base.QueryOne<Order_Details>(new Daolite.DataStruct.KeyPairs()
			.Add("OrderID", OrderID)
			.Add("ProductID", ProductID)
			, isRelated);
		}


	}
}
